﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Register.ascx.cs" Inherits="SCS.Web.UI.WebControls.Dialogs.Test.Membership.Register" ClientIDMode="Static" %>

<div id="registerForm" class="dialogForm" 
    
    dialog-behaviors="[{'name':'RegisterBehavior', 'type': SCS.RegisterBehavior, 'properties': <%= GetPropertyArray() %> }]"
    
    dialog-data="{'styleUrl': 'membership/register.css', 'className': 'dialog registerDialog', 'caption': 'Register for Access'}" >
    
        <p id="dialogMessage" runat="server"></p>

        <asp:MultiView ID="registerWizard" runat="server" ActiveViewIndex="0">

            <asp:View ID="step1" runat="server">

            <div class="row">
                <label for="usernameEntry">Username</label>
                <input type="text" name="usernameEntry" id="usernameEntry" title="Username" maxlength="20" />
            </div>

            <div class="row">
                <label for="passwordEntry">Password</label>
                <input type="password" name="" id="passwordEntry" title="Password" maxlength="20" />
            </div>

            <div class="row">
                <label for="confirmPasswordEntry">Confirm Password</label>
                <input type="password" name="confirmPasswordEntry" id="confirmPasswordEntry" title="Confirm Password" maxlength="20" />
            </div>

            <div class="row">
                <label for="usernameEntry">Email Address</label>
                <input type="text" name="emailEntry" id="emailEntry" title="Email Address" maxlength="50" />
            </div>
       
            <div class="row">
                <label for="securityQuestionSelect">Security Question</label>
                <select name="securityQuestionSelect" id="securityQuestionSelect" title="Security Question">
                    <option>What's your dog's name?</option>
                    <option>What's your cat's name?</option>
                    <option>What's your Mother's maiden name?</option>
                    <option>What's your favorite restaurant?</option>
                    <option>What's your favorite Album?</option>
                    <option>Where did you get engaged?</option>                    
                    <option>Where did you take holiday last?</option> 
                </select>
            </div>

            <div class="row">
                <label for="securityAnswerEntry">Security Answer</label>
                <input type="text" name="securityAnswerEntry" id="securityAnswerEntry" title="Security Answer" maxlength="100" />
            </div>            
        </asp:View>
            <asp:View ID="step2" runat="server">
             <div class="row">
                <label for="addressEntry">Address</label>
                <input type="text" name="addressEntry" id="addressEntry" title="Address" maxlength="50" />
            </div>

             <div class="row">
                <label for="cityEntry">City</label>
                <input type="text" name="cityEntry" id="cityEntry" title="City" maxlength="50" />
            </div>

            <div class="row">
                <label for="stateEntry">State</label>
                <input type="text" name="stateEntry" id="stateEntry" title="State" maxlength="2" />
            </div>

            <div class="row">
                <label for="postalCodeEntry">Postal Code</label>
                <input type="text" name="postalCodeEntry" id="postalCodeEntry" title="State" maxlength="30" />
            </div>
        </asp:View>
            <asp:View ID="finish" runat="server">
            
            </asp:View>
        </asp:MultiView>

        <div class="buttons">
            <div class="left">
                <input type="button" id="cancelButton" runat="server" value="Cancel" />
            </div>

            <div class="right">
                <input type="button" id="backButton" runat="server" value="&lt; Back" />
                <input type="button" id="proceedButton" runat="server" value="Next &gt;" />
            </div>
        </div>  
    </div>    
</div>