﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SCS.Web.UI.WebControls.Dialogs.Test
{
    public partial class MessageBox : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void launchDialogButtonFromServer_Click(object sender, EventArgs e)
        {
            dialogFromServer.Show("MessageBox Example", "This dialog was launched from the server.", 
                MessageBoxButtons.OK, MessageBoxIcon.Information);
        }

        protected void launchDialogButtonFromServerWithQuestion_Click(object sender, EventArgs e)
        {
            dialogFromServer.Show("MessageBox Question Example", "Do you want to continue?",
                MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question);
        }

        protected void dialogFromServer_ButtonClicked(object sender, EventArgs args)
        {
            serverDialogResult.Text = dialogFromServer.Result.ToString();
        }
    }
}