﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SCS.Web.UI.WebControls.Dialogs.Test.MembershipForm" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="ajaxToolkit" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
    
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>
        Dialog Control
    </h2>

    <p>
        The Dialog Control can be used for sending messages to the user and it serves as the base control
        for all the other dialogs in the Ajax Dialog Control Library. At this time it is the base control for the 
        Templated Dialog, IFrame Dialog, and Flexible Dialog. Dialogs created in the future will also inherit from this control. 
    </p>

    <a href="DialogControl.aspx">More...</a>

    <h2>
        Templated Dialog
    </h2>

    <p>
        The Templated Dialog control builds on the functionality of the Dialog Control by providing a template for adding 
        HTML and control markup declaratively for rendering in the dialog body. This allows you to create a customized  
        dialog quickly without the need to subclass the Dialog Control.
    </p>

    <a href="TemplatedDialog.aspx">More...</a>

    <h2>
        IFrame Dialog
    </h2>

    <p>
        The IFrame Control builds on the functionality of the Dialog Control by rendering an IFrame in the body of the
        dialog from which to load the body content. The IFrame border is completely hidden, so content loaded 
        from other pages, and even from other websites, display as if they are part of the dialog and the page containing it. 
        Like the Templated Dialog, this dialog also allows you to create a customized dialog quickly without the need to subclass the Dialog Control.
    </p>

    <a href="IFrameDialog.aspx">More...</a>

    <h2>
        Flexible Dialog
    </h2>
                    
    <p>
        The Flexible Dialog allows you to create a dialog containing multiple interconnected views which are lazy loaded with their scripts (optional) 
        to provide a very interactive user experience. To demonstrate the capabilities of the FlexibleDialog control, a set of forms including 
        help, login, register, and reset password, have been implemented and connected together within one FlexibleDialog control. 
        <b>Click the Login link</b> above to launch a demonstration of the Flexible Dialog.
    </p>
            
    <a href="FlexibleDialog.aspx">More...</a>

</asp:Content>
